Index: kdesktop/init.cc
diff -Nau kdesktop/init.cc.orig kdesktop/init.cc
--- kdesktop/init.cc.orig	2004-08-04 18:36:42 +0200
+++ kdesktop/init.cc	2004-08-04 18:36:48 +0200
@@ -81,6 +81,8 @@
     cmd += " ";
     cmd += KProcess::quote(dir+"/.directory");
     system( QFile::encodeName(cmd) );
+    cmd = "chmod 644 " + KProcess::quote(dir+"/.directory");
+    system( QFile::encodeName(cmd) );
   }
 }
 
@@ -114,6 +116,8 @@
 	cmd += " ";
 	cmd += QFile::encodeName(KProcess::quote(desktopPath));
 	system( cmd );
+	cmd = "chmod 644 " + QFile::encodeName(KProcess::quote(desktopPath));
+	system( cmd );
     }
 }
 
Index: kdm/backend/xdmcp.c
diff -Nau kdm/backend/xdmcp.c.orig kdm/backend/xdmcp.c
--- kdm/backend/xdmcp.c.orig	2004-08-04 18:40:10 +0200
+++ kdm/backend/xdmcp.c	2004-08-04 18:40:16 +0200
@@ -995,7 +995,7 @@
 
     sprintf (buf, "Session %ld failed for display %.260s: %s",
 	     (long) sessionID, name, reason);
-    Debug ("send_failed(%\"s)\n", buf);
+    Debug ("send_failed(\"%s\")\n", buf);
     status.length = strlen (buf);
     status.data = (CARD8Ptr) buf;
     header.version = XDM_PROTOCOL_VERSION;
Index: kioslave/fish/Makefile.in
--- kioslave/fish/Makefile.in.orig	2004-06-02 09:42:15 +0200
+++ kioslave/fish/Makefile.in	2004-08-06 10:08:17 +0200
@@ -851,7 +851,7 @@
 fishcode.h: fish.pl
 	if echo | md5sum > /dev/null 2>&1 ; then \
 	SUM=`md5sum $(srcdir)/fish.pl | cut -d ' ' -f 1`; else \
-	SUM=`md5 $(srcdir)/fish.pl | cut -d ' ' -f 4`; fi; \
+	SUM=`md5 $(srcdir)/fish.pl | sed -n -e 's;^.*\([a-fA-F0-9]\{32\}\).*$$;\1;p'`; fi; \
 	echo '#define CHECKSUM "'$$SUM'"' > $@; \
 	echo 'static const char *fishCode(' >> $@; \
 	sed -e 's/\\/\\\\/g;s/"/\\"/g;s/^[ 	]*/"/;/^"# /d;s/[ 	]*$$/\\n"/;/^"\\n"$$/d;s/{CHECKSUM}/'$$SUM'/;' $(srcdir)/fish.pl >> $@; \
